/* Copyright (c) 2014, Nordic Semiconductor ASA
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

/**
* This file is autogenerated by nRFgo Studio 1.14.1.2369  
*/

#ifndef SETUP_MESSAGES_H__
#define SETUP_MESSAGES_H__

#include "hal_platform.h" 
#include "aci.h"
#define PIPE_TX_POWER_TX_POWER_LEVEL_SET 1
#define PIPE_IMMEDIATE_ALERT_ALERT_LEVEL_RX 2
#define PIPE_LINK_LOSS_ALERT_ALERT_LEVEL_RX_ACK_AUTO 3
#define PIPE_BATTERY_BATTERY_LEVEL_TX 4
#define PIPE_BATTERY_BATTERY_LEVEL_SET 5
#define PIPE_DEVICE_INFORMATION_HARDWARE_REVISION_STRING_SET 6
#define PIPE_IMMEDIATE_ALERT_ALERT_LEVEL_TX_1 7

#define NUMBER_OF_PIPES 7

#define SERVICES_PIPE_TYPE_MAPPING_CONTENT {\
  {ACI_STORE_LOCAL, ACI_SET},   \
  {ACI_STORE_LOCAL, ACI_RX},   \
  {ACI_STORE_LOCAL, ACI_RX_ACK_AUTO},   \
  {ACI_STORE_LOCAL, ACI_TX},   \
  {ACI_STORE_LOCAL, ACI_SET},   \
  {ACI_STORE_LOCAL, ACI_SET},   \
  {ACI_STORE_REMOTE, ACI_TX},   \
}

#define GAP_PPCP_MAX_CONN_INT 0x320 /**< Maximum connection interval as a multiple of 1.25 msec , 0xFFFF means no specific value requested */
#define GAP_PPCP_MIN_CONN_INT  0x190 /**< Minimum connection interval as a multiple of 1.25 msec , 0xFFFF means no specific maximum*/
#define GAP_PPCP_SLAVE_LATENCY 0
#define GAP_PPCP_CONN_TIMEOUT 0x258 /** Connection Supervision timeout multiplier as a multiple of 10msec, 0xFFFF means no specific value requested */

#define NB_SETUP_MESSAGES 24
#define SETUP_MESSAGES_CONTENT {\
    {0x00,\
        {\
            0x07,0x06,0x00,0x00,0x03,0x02,0x41,0xd7,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x10,0x00,0x01,0x00,0x00,0x00,0x02,0x02,0x05,0x02,0x08,0x01,0x01,0x00,0x00,0x06,0x00,0x09,\
            0x82,0x02,0x18,0x03,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x10,0x1c,0x00,0x00,0x01,0x02,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x44,0x22,0x00,0x00,0x40,0x52,0x03,0x90,0x00,0x64,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x10,0x38,0x02,0xff,0x02,0x58,0x63,0x05,0x00,0x00,0x05,0x42,0x00,0x00,0x05,0x42,0x00,0x00,\
            0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x01,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x05,0x06,0x10,0x54,0x01,0x01,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x00,0x04,0x04,0x02,0x02,0x00,0x01,0x28,0x00,0x01,0x00,0x18,0x04,0x04,0x05,0x05,0x00,\
            0x02,0x28,0x03,0x01,0x02,0x03,0x00,0x00,0x2a,0x04,0x04,0x14,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x1c,0x0d,0x00,0x03,0x2a,0x00,0x01,0x50,0x52,0x4f,0x58,0x49,0x4d,0x49,0x54,0x59,0x20,\
            0x31,0x2e,0x32,0x6d,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x38,0x05,0x05,0x00,0x04,0x28,0x03,0x01,0x02,0x05,0x00,0x01,0x2a,0x06,0x04,0x03,0x02,\
            0x00,0x05,0x2a,0x01,0x01,0x40,0x02,0x04,0x04,0x05,0x05,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x54,0x06,0x28,0x03,0x01,0x02,0x07,0x00,0x04,0x2a,0x06,0x04,0x09,0x08,0x00,0x07,0x2a,\
            0x04,0x01,0x90,0x01,0x20,0x03,0x00,0x00,0x58,0x02,0x04,0x04,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x70,0x02,0x02,0x00,0x08,0x28,0x00,0x01,0x01,0x18,0x04,0x04,0x02,0x02,0x00,0x09,0x28,\
            0x00,0x01,0x04,0x18,0x04,0x04,0x05,0x05,0x00,0x0a,0x28,0x03,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x8c,0x01,0x02,0x0b,0x00,0x07,0x2a,0x06,0x0c,0x02,0x01,0x00,0x0b,0x2a,0x07,0x01,0x00,\
            0x04,0x04,0x02,0x02,0x00,0x0c,0x28,0x00,0x01,0x02,0x18,0x04,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xa8,0x04,0x05,0x05,0x00,0x0d,0x28,0x03,0x01,0x04,0x0e,0x00,0x06,0x2a,0x46,0x30,0x02,\
            0x01,0x00,0x0e,0x2a,0x06,0x01,0x00,0x04,0x04,0x02,0x02,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xc4,0x0f,0x28,0x00,0x01,0x03,0x18,0x04,0x04,0x05,0x05,0x00,0x10,0x28,0x03,0x01,0x0a,\
            0x11,0x00,0x06,0x2a,0x46,0x3c,0x02,0x01,0x00,0x11,0x2a,0x06,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xe0,0x01,0x00,0x04,0x04,0x02,0x02,0x00,0x12,0x28,0x00,0x01,0x0f,0x18,0x04,0x04,0x05,\
            0x05,0x00,0x13,0x28,0x03,0x01,0x12,0x14,0x00,0x19,0x2a,0x16,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xfc,0x0c,0x02,0x01,0x00,0x14,0x2a,0x19,0x01,0x64,0x46,0x34,0x03,0x02,0x00,0x15,0x29,\
            0x02,0x01,0x00,0x00,0x04,0x04,0x02,0x02,0x00,0x16,0x28,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x21,0x18,0x01,0x0a,0x18,0x04,0x04,0x05,0x05,0x00,0x17,0x28,0x03,0x01,0x02,0x18,0x00,0x27,\
            0x2a,0x04,0x0c,0x09,0x00,0x00,0x18,0x2a,0x27,0x01,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x0b,0x06,0x21,0x34,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x0d,0x06,0x30,0x00,0x18,0x02,0x01,0x05,0x01,0x18,0x01,0x01,0x06,0x01,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x40,0x00,0x2a,0x07,0x01,0x00,0x80,0x04,0x00,0x0b,0x00,0x00,0x2a,0x06,0x01,0x00,0x08,0x04,\
            0x00,0x0e,0x00,0x00,0x2a,0x06,0x01,0x04,0x00,0x04,0x00,0x11,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x40,0x1c,0x00,0x00,0x2a,0x19,0x01,0x00,0x82,0x04,0x00,0x14,0x00,0x15,0x2a,0x27,0x01,0x00,\
            0x80,0x04,0x00,0x18,0x00,0x00,0x2a,0x06,0x01,0x00,0x02,0x04,\
        },\
    },\
    {0x00,\
        {\
            0x11,0x06,0x40,0x38,0x00,0x00,0x00,0x00,0x2a,0x05,0x01,0x00,0x10,0x04,0x00,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x18,0x06,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x19,0x06,0x70,0x00,0x19,0x02,0x40,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x00,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x06,0x06,0xf0,0x00,0x83,0xac,0x4a,\
        },\
    },\
}

#endif
